aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py3-fonttools/APKBUILD
diff options
context:
space:
mode:
authorprspkt <prspkt@protonmail.com>2019-06-20 16:20:03 +0300
committerprspkt <prspkt@protonmail.com>2019-06-20 17:13:53 +0300
commitac6be940f7c6acba28f8c19cd47331715db53823 (patch)
tree3928b63779b4fcbef1baec7f1d72d98a1599bcc5 /testing/py3-fonttools/APKBUILD
parentefe09e00cb9cf088cbac14050dd594bb7b449416 (diff)
downloadaports-ac6be940f7c6acba28f8c19cd47331715db53823.tar.bz2
aports-ac6be940f7c6acba28f8c19cd47331715db53823.tar.xz
testing/py3-fonttools: drop python2
Diffstat (limited to 'testing/py3-fonttools/APKBUILD')
-rw-r--r--testing/py3-fonttools/APKBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/testing/py3-fonttools/APKBUILD b/testing/py3-fonttools/APKBUILD
new file mode 100644
index 0000000000..3bc27a398a
--- /dev/null
+++ b/testing/py3-fonttools/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer:
+pkgname=py3-fonttools
+_pkgname=fonttools
+pkgver=3.21.2
+pkgrel=2
+pkgdesc="Converts OpenType and TrueType fonts to and from XML"
+url="https://github.com/fonttools/fonttools"
+arch="noarch"
+license="BSD"
+depends="py3-numpy py3-setuptools"
+install=""
+subpackages="py-$_pkgname-doc"
+source="py-fonttools-$pkgver.tar.gz::https://github.com/fonttools/fonttools/archive/$pkgver.tar.gz"
+builddir="$srcdir/fonttools-$pkgver"
+
+replaces="py-fonttools" # Backwards compatibility
+provides="py-fonttools=$pkgver-r$pkgrel" # Backwards compatibility
+
+build() {
+ cd "$builddir"
+ python3 setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+sha512sums="64ee4043f35cae39b0d4a00a5445dffa5afebda9c5571f204b909f91d640bc07c7a3c464430da3b9d36e1c9dd2fd14ae547db48cc00cc5b0da39099cb4d7cbb9 py-fonttools-3.21.2.tar.gz"